package cn.kdan.cloud.pdf.office.api.email.feign.hystrix;


import cn.kdan.cloud.pdf.office.api.email.bo.EmailSendBO;
import cn.kdan.cloud.pdf.office.api.email.feign.EmailApi;
import cn.kdan.cloud.pdf.office.common.constant.CommonConstant;
import cn.kdan.cloud.pdf.office.common.pojo.ResultMap;
import org.springframework.stereotype.Service;

@Service
public class EmailHystrix implements EmailApi {

    @Override
    public ResultMap<Void> sendEmail(EmailSendBO emailSendBO) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }
}
