package cn.kdan.cloud.pdf.office.api.payment.dto;

import cn.kdan.cloud.pdf.office.api.payment.enums.PaymentMethodEnum;
import lombok.*;

import javax.validation.constraints.NotNull;

/**
 * @author ComPDFKit-WPH 2023/1/29
 * <p>
 * 创建订单DTO
 */
@Data
public class AppStoreBuyCompleteDTO {
    /**
     * app ID
     */
//    @NotNull(message = "appId 不能为空")
    private String appId;
    /**
     * 产品ID
     */
    @NotNull(message = "产品id 不能为空")
    private String productId;
    /**
     * 支付方式
     */
    @NotNull(message = "paymentMethod 不能为空")
    private PaymentMethodEnum paymentMethod;
    /**
     * userId
     */
    private String userId;

    private String applePayProductId;

    /**
     * 票据
     */
    @NotNull(message = "receipt 不能为空")
    private String receipt;

}
