package cn.kdan.cloud.pdf.office.api.payment.vo;

import cn.kdan.cloud.pdf.office.common.base.BaseEntity;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.*;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * @author ComPDFKit-WPH 2024-10-28
 */
@Data
@ToString
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class OrderGiftLogVO implements Serializable {

    /**
     *
     */
    private String id;
    /**
     *
     */
    private String orderGiftId;
    private String email;
    private String name;
    /**
     *
     */
    private String userId;
    /**
     * 0待接收1已接受2已失效
     */
    private String validFlag;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createdAt;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updatedAt;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date receiveAt;
}
