package cn.kdan.cloud.pdf.office.common.annotation;

import cn.kdan.cloud.pdf.office.common.aop.CommonLogPrinterAspect;
import org.springframework.context.annotation.Import;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;


/**
 * 通过注解实现 接口调用时打印日志
 */
@Import({CommonLogPrinterAspect.class})
@Target(value = ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
public @interface EnableCommonLogPrinter {
}
