package cn.kdan.cloud.pdf.office.common.enums.account;

/**
 * 付费类型
 *
 * @author tangxiangan
 */
public enum PaidTypeEnum {

    /**
     * 试用
     */
    ON_TRIAL(0),
    /**
     * 单次购买
     */
    SINGLE_BUY(1),
    /**
     * 订阅
     */
    SUBSCRIBE(2),
    /**
     * 单次购买+订阅
     */
    SINGLE_BUY_AND_SUBSCRIBE(3),
    /**
     * 买断
     */
    BUYOUT(4);
    private final Integer value;

    PaidTypeEnum(Integer value) {
        this.value = value;
    }

    public Integer value() {
        return value;
    }
}
