package cn.kdan.cloud.pdf.office.payment.entity;

import cn.kdan.cloud.pdf.office.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author ComPDFKit-WPH 2023-07-12
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("restore_purchase_logs")
public class RestorePurchaseLogs extends BaseEntity{

    /**
     * 
     */
    private String appleProductId;
    /**
     * id
     */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;
    /**
     * 
     */
    private String newSubscriptionId;
    /**
     * 新user
     */
    private String newUserId;
    /**
     * 旧user
     */
    private String oldUserId;
    /**
     * 
     */
    private String orderId;
    /**
     * 
     */
    private String originalTransactionId;
    /**
     * 
     */
    private String transactionId;

    private String receipt;

    /**
     * 权益转移类型：0正常、1邮件警告、2封锁；3已解锁
     */
    private Integer restoreType;
}
