package cn.kdan.cloud.pdf.office.payment.mapper;

import cn.kdan.cloud.pdf.office.api.payment.vo.OrdersVO;
import cn.kdan.cloud.pdf.office.api.product.vo.ProductVO;
import cn.kdan.cloud.pdf.office.payment.entity.Order;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author ComPDFKit-WPH 2023-01-29
 */
public interface OrderMapper extends BaseMapper<Order> {

    List<OrdersVO> selectOrdersByTradeNo(@Param("tradeNo") String tradeNo);
    ProductVO getProduct(@Param("productId") String productId);

    List<OrdersVO> selectOrdersByOrderNum(@Param("orderNum") String orderNum);

    List<OrdersVO> getOrderListByThirdTradeNo(@Param("thirdOrderNo") String thirdTradeNo);

    List<OrdersVO> getOrderByUser(@Param("userId") String userId, @Param("platform") Integer platform);

}
