package cn.kdan.cloud.pdf.office.payment.webhook.google;

import com.google.api.client.json.GenericJson;
import com.google.api.client.util.Key;
import com.google.api.services.androidpublisher.model.*;
import lombok.Data;

import java.util.List;

@Data
public class SubscriptionPurchaseV3  {

    private String acknowledgementState;

    private ExternalAccountIdentifiersMS externalAccountIdentifiers;

    private String kind;

    private String latestOrderId;

    private List<SubscriptionPurchaseLineItemMS> lineItems;

    private String linkedPurchaseToken;

    private PausedStateContext pausedStateContext;

    private String regionCode;
    private String startTime;

    private SubscribeWithGoogleInfo subscribeWithGoogleInfo;

    private String subscriptionState;

    private TestPurchase testPurchase;

}
