package cn.kdan.cloud.pdf.office.account.controller;

import cn.kdan.cloud.pdf.office.account.model.DeviceLog;
import cn.kdan.cloud.pdf.office.account.service.DeviceLogService;
import cn.kdan.cloud.pdf.office.common.constant.CommonConstant;
import cn.kdan.cloud.pdf.office.common.pojo.ResultMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author tangxiangan
 */
@RestController
@RequestMapping("deviceLog")
public class DeviceLogController {

    @Autowired
    private DeviceLogService deviceLogService;


    /**
     * 记录安装设备
     *
     * @param deviceLog log
     * @return Boolean
     */
    @PostMapping("create")
    public ResultMap<Boolean> create(@RequestBody DeviceLog deviceLog) {
        deviceLogService.create(deviceLog);
        return new ResultMap<>(CommonConstant.SUCCESS, CommonConstant.RESULT_SUCCESS, Boolean.TRUE);
    }
}
