package cn.kdan.cloud.pdf.office.api.account.feign.hystrix;

import cn.kdan.cloud.pdf.office.api.account.feign.AIApi;
import cn.kdan.cloud.pdf.office.api.account.feign.LoginDeviceApi;
import cn.kdan.cloud.pdf.office.api.account.vo.AiRecord;
import cn.kdan.cloud.pdf.office.common.constant.CommonConstant;
import cn.kdan.cloud.pdf.office.common.pojo.ResultMap;

public class AIHystrix implements AIApi {
    @Override
    public ResultMap<Boolean> insert(AiRecord aiRecord) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }

    @Override
    public ResultMap<AiRecord> getByFileKey(String fileKey) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }
}
