package cn.kdan.cloud.pdf.office.api.app.feign;

import cn.kdan.cloud.pdf.office.api.app.feign.hystrix.AppHystrix;
import cn.kdan.cloud.pdf.office.common.constant.CommonConstant;
import org.springframework.cloud.openfeign.FeignClient;


/**
 * APP 服务Feign客户端
 */
@FeignClient(value = CommonConstant.APP_PROVIDER_NAME , fallback = AppHystrix.class)
public interface AppFeignClient {

}
