package cn.kdan.cloud.pdf.office.api.payment.dto;

import cn.kdan.cloud.pdf.office.api.payment.paypal.LinkDescription;
import cn.kdan.cloud.pdf.office.api.payment.paypal.Resource;
import cn.kdan.cloud.pdf.office.common.exception.BackendRuntimeException;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.ToString;
import lombok.extern.slf4j.Slf4j;

import java.io.Serializable;
import java.lang.reflect.Field;
import java.util.List;

/**
 * @author ComPDFKit-WPH 2023/1/17
 */
@Data
@ToString
@Slf4j
public class PaypalWebhookMonitorDTO implements Serializable {

    private String id;
    @JsonProperty("create_time")
    private String createTime;
    @JsonProperty("resource_type")
    private String resourceType;
    @JsonProperty("event_type")
    private String eventType;
    private String summary;
    private Resource resource;
    private List<LinkDescription> links;
    @JsonProperty("event_version")
    private String eventVersion;
    @JsonProperty("resource_version")
    private String resourceVersion;

}
