package cn.kdan.cloud.pdf.office.api.payment.paypal;

import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * @author ComPDFKit-WPH 2023/1/16
 */
@Data
@ToString
public class PricingTier implements Serializable {
    /**
     * 层的定价金额。
     */
    private Money amount;

    /**
     * 层的起始数量。
     */
    private String starting_quantity;
    /**
     * 层的期末数量。最后一层可选。
     */
    private String ending_quantity;

}
