package cn.kdan.cloud.pdf.office.api.product.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.ToString;

import java.math.BigDecimal;

/**
 * @author ComPDFKit-WPH 2023/1/10
 *
 * 活动信息 VO
 */
@Data
@ToString
public class ActivityInfoVO {

    /**
     * 活动信息
     */
    private String activityInfo;

    /**
     * 活动信息标题
     */
    private String activityTitle;

    /**
     * 活动类型id  1-新用户专用，2正常
     */
    private Integer activityType;
    /**
     * 活动信息类容
     */
    private String contentInformation;
    /**
     * 折扣
     */
    private BigDecimal discount;
    /**
     * 最终价格
     */
    private BigDecimal finalPrice;

    /**
     * 最终中国价格
     */
    private BigDecimal finalCnyPrice;

    /**
     * 主键id
     */
    private String id;
    /**
     * 是否启用，1启用，0禁用
     */
    private Integer isEnable;



}
