package cn.kdan.cloud.pdf.office.common.dto;

import cn.kdan.cloud.pdf.office.common.enums.account.AccountTypeEnum;
import lombok.Data;

/**
 * @author tangxiangan
 */
@Data
public class UserRegisterDTO {

    /**
     * 用户名（邮箱）
     */
    private String username;

    /**
     * 邮箱验证码
     */
    private String verifyCode;

    /**
     * 密码
     */
    private String password;

    /**
     * appId 例如
     */
    private String appId;

    /**
     * platformType  平台类型 0官网 1后台
     */
    private String platformType;
    private String deviceSign;
    private String model;

    private Integer accountSource;

    private String inviteUserId;

    private AccountTypeEnum accountTypeEnum;

}
