package cn.kdan.cloud.pdf.office.payment.entity;

import cn.kdan.cloud.pdf.office.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * @author ComPDFKit-WPH 2024-10-28
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("order_gift_log")
public class OrderGiftLog extends BaseEntity{

    /**
     *
     */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;
    /**
     *
     */
    private String orderGiftId;
    private String email;
    private String name;
    /**
     *
     */
    private String userId;
    /**
     * 0待接收1已接受2已失效
     */
    private String validFlag;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss")
    private Date receiveAt;

}
