package cn.kdan.cloud.pdf.office.payment.enums;

import lombok.Getter;

/**
 * @author ComPDFKit-WPH 2023/7/3
 */
public enum AppStoreReceiptVerifyStatusEnum {
    STATUS_21002(21002),
    STATUS_21005(21005),
    STATUS_21009(21009),
    ;
    @Getter
    private final Integer value;

    AppStoreReceiptVerifyStatusEnum(Integer value) {
        this.value = value;
    }


    /**
     * 是否是需要重试
     *
     * @param value value
     * @return boolean
     */
    public static boolean whetherToRetry(Integer value){
        for (AppStoreReceiptVerifyStatusEnum statusEnum : AppStoreReceiptVerifyStatusEnum.values()) {
            if (statusEnum.value.equals(value)) {
                return true;
            }
        }
        return false;
    }

}
