package cn.kdan.cloud.pdf.office.payment.properties;

import lombok.Data;
import lombok.ToString;
import org.springframework.boot.context.properties.ConfigurationProperties;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author ComPDFKit-WPH 2023/6/28
 * <p>
 * AppStoreProperties
 */
@Data
@ToString
@ConfigurationProperties(prefix = "client.appstore")
public class AppStoreProperties {

    private String address;

    private String password;

    private String sandboxAddress;

    private Integer readTimeOut;
    /**
     * //单位为ms
     */
    private Integer connectTimeout;

    private BigDecimal isDiscountPrice;

    private BigDecimal notDiscountPrice;

    private String issuerId;
    private String keyId;
    private String isSandbox;

    private String currency;
    private String testCallBack;
}
