package cn.kdan.cloud.pdf.office.payment.service;

import cn.kdan.cloud.pdf.office.payment.webhook.appstore.notification.JWSTransactionDecodedPayload;

/**
 * @author ComPDFKit-WPH 2023/1/30
 * <p>
 * PaddleWebhookService
 */
public interface AppStoreWebhookService {

    /**
     * 订阅已自动续期
     *
     */
    void subscriptionPaymentSucceeded(Boolean isDiscount, String thirdTradeNo, String thirdOrderId, Integer payTime, JWSTransactionDecodedPayload jwsTransactionDecodedPayload);

    /**
     * 订阅取消
     *
     */
    void subscriptionCancel(String thirdSubscriptionId);
}
