package cn.kdan.cloud.pdf.office.website.dto.ai;

import lombok.Data;

/**
 * @author tangxiangan
 */
@Data
public class TranslateResult<T> {
    private String code;
    private String message;
    private T data;

    public TranslateResult<T> convertComPdfKitResult(ComPdfKitResult<T> comPdfKitResult) {
        this.code = comPdfKitResult.getCode();
        this.message = comPdfKitResult.getMsg();
        this.data = comPdfKitResult.getData();
        return this;
    }
}
