package cn.kdan.cloud.pdf.office.product.entity;

import cn.kdan.cloud.pdf.office.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author ComPDFKit-TXA 2023-06-21
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("r_product_pay")
public class RProductPay extends BaseEntity{

    /**
     *
     */
    private String id;
    /**
     * 支付方式  [&#39;paypal&#39; =&gt; 0, &#39;alipay&#39; =&gt; 1, &#39;wxpay&#39; =&gt; 2, &#39;paddle&#39; =&gt; 3, &#39;no need to pay&#39; =&gt; 4,paypal 5];
     */
    private Integer payment;
    /**
     * 产品id
     */
    private String productId;
    /**
     * 第三方支付id
     */
    private String thirdPayId;

    /**
     * 是否首年优惠
     */
    private Integer isDiscount;
}
